blkdev_issue_flush
Prev | Chapter 17. Block Devices | Next

## Name

blkdev_issue_flush — queue a flush

## Synopsis

`int blkdev_issue_flush (` | struct block_device * | bdev,
| sector_t * | error_sector`)`;

## Arguments

`bdev`

  blockdev to issue flush for

`error_sector`

  error sector

## Description

Issue a flush for the block device in question. Caller can supply room for storing the error offset in case of a flush error, if they wish to. Caller must run `wait_for_completion` on its own.

Prev | Up | Next
blk_queue_ordered | Home | blk_queue_find_tag